summaryrefslogtreecommitdiff
path: root/plugins/ssh-agent
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/ssh-agent')
-rw-r--r--plugins/ssh-agent/ssh-agent.plugin.zsh14
1 files changed, 11 insertions, 3 deletions
diff --git a/plugins/ssh-agent/ssh-agent.plugin.zsh b/plugins/ssh-agent/ssh-agent.plugin.zsh
index 3b0042a7d..2fb8d5462 100644
--- a/plugins/ssh-agent/ssh-agent.plugin.zsh
+++ b/plugins/ssh-agent/ssh-agent.plugin.zsh
@@ -27,7 +27,7 @@
# Florent Thoumie and Jonas Pfenniger
#
-local _plugin__ssh_env=$HOME/.ssh/environment-$HOST
+local _plugin__ssh_env
local _plugin__forwarding
function _plugin__start_agent()
@@ -42,12 +42,20 @@ function _plugin__start_agent()
. ${_plugin__ssh_env} > /dev/null
# load identies
- zstyle -a :omz:plugins:ssh-agent identities identities
+ zstyle -a :omz:plugins:ssh-agent identities identities
echo starting ssh-agent...
/usr/bin/ssh-add $HOME/.ssh/${^identities}
}
+# Get the filename to store/lookup the environment from
+if (( $+commands[scutil] )); then
+ # It's OS X!
+ _plugin__ssh_env="$HOME/.ssh/environment-$(scutil --get ComputerName)"
+else
+ _plugin__ssh_env="$HOME/.ssh/environment-$HOST"
+fi
+
# test if agent-forwarding is enabled
zstyle -b :omz:plugins:ssh-agent agent-forwarding _plugin__forwarding
if [[ ${_plugin__forwarding} == "yes" && -n "$SSH_AUTH_SOCK" ]]; then
@@ -57,7 +65,7 @@ if [[ ${_plugin__forwarding} == "yes" && -n "$SSH_AUTH_SOCK" ]]; then
elif [ -f "${_plugin__ssh_env}" ]; then
# Source SSH settings, if applicable
. ${_plugin__ssh_env} > /dev/null
- ps -ef | grep ${SSH_AGENT_PID} | grep ssh-agent$ > /dev/null || {
+ ps x | grep ${SSH_AGENT_PID} | grep ssh-agent > /dev/null || {
_plugin__start_agent;
}
else